--[[
	This is an extension of the Turbine Label class.  It can store it's own data,
	and index.
]]--

import "Turbine";
import "Turbine.Utils";
import "Turbine.UI";
import "Turbine.UI.Lotro";

DLabel = class(Turbine.UI.Label);

function DLabel:Constructor()
	Turbine.UI.Label.Constructor( self );

	
	self.data = "";
	self.index = 0;
	self.visible = true;
end

function DLabel:SetData(string)
	self.data = string;
end

function DLabel:GetData()
	return self.data;
end

function DLabel:SetIndex(value)
	self.index = value;
end

function DLabel:GetIndex()
	return self.index;
end

