_G.bit = function(p)
  return 2 ^ (p - 1)  -- 1-based indexing
end

-- Typical call:  if hasbit(x, bit(3)) then ...
_G.hasbit = function(x, p)
  if(x % (p + p) >= p) then
	return true;
  else
	return false;
  end    
end

_G.setbit = function(x, p)
  return hasbit(x, p) and x or x + p
end

_G.clearbit = function(x, p)
  return hasbit(x, p) and x - p or x
end

_G.togglebit = function(x, p)
	if(hasbit(x,p)) then
		return clearbit(x,p);
	else
		return setbit(x,p);
	end	
end